<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>swag</title>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/style.css}">
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}">
    </script>
</head>
<body>
<div class="container shadow-lg p-3 mb-5 bg-white rounded">
    <div th:insert="~{fragments/fragments::navbar(3)}">No navbar</div>
    <table class="table table-striped table-hover">
    <thead class="thead-dark" >
    <tr>
        <th th:utext="#{banks.name}">Name</th>
        <th th:utext="#{banks.address}">Address</th>
        <th th:utext="#{banks.country}">Country</th>

    </tr>
    </thead>
    <tbody>
    <tr>
    <tr th:each="bank: ${banks}">
        <td  th:text="${bank.getName()}"></td>
        <td th:text="${bank.getAddress()}"></td>
        <td th:text="${bank.getCountry()}"></td>
        <td> <a class="btn btn-light" th:href="@{/bankCardUser(id= ${bank.getBankId()} ) }">Show</a></td>
        <td> <a class="btn btn-success" th:href="@{/addBankCard/add(id= ${bank.getBankId()})}">Add BankCard</a></td>
        <td> <a class="btn btn-danger" th:href="@{/banks/delete(id= ${bank.getBankId()})}">delete</a></td>

    </tr>
    <tr>
    </tr>
    </tbody>
</table>
    <h1> Add Bank </h1>

    <select name="foo"  id="xd2" onchange="manage()">
        <option disabled selected value> -- select an option -- </option>
        <option id="xd" th:each="bank : ${bankslist}" th:value="${bank.getBankId()}" th:text="${bank.getName()}">Num</option>
    </select>

    <script>
        function manage() {
            let x = document.getElementById("xd2").value;
            window.location.href = "/userItem"+ "/add/?id="+x;
        }
    </script>

    <br>
    <br>
    <br>

    <a class="btn btn-primary" th:href="@{/banks/json}">Convert to Json</a>
    <div th:if="${message}" th:text="${message}" th:class="${'alert ' + alertClass}"/>

    <div th:insert="~{fragments/fragments::footer}">No footer</div>

</div>






</body>

</html>


